/*
 * @Author: PoJun
 * @Date: 2023-08-28 11:22:46
 * @LastEditors: PoJun
 * @LastEditTime: 2023-12-19 19:30:06
 * @Message: 角色相关接口
 */
import { $get, $post } from "../config/http.js";
/** 获取角色详情 */
export const getAuthRoleInfo = id => {
    return $get({ url: `/auth/auth_roles/${id}/info` });
};

/** 新增角色信息 */
export const addAuthRole = data => {
    return $post({ url: `/auth/auth_roles/`, data, reqConfig: { showMsg: true } });
};

/** 更新角色信息 */
export const updateAuthRole = (data, id) => {
    return $post({ url: `/auth/auth_roles/${id}/info`, data, reqConfig: { showMsg: true } });
};

/** 删除角色信息 */
export const deleteAuthRole = id => {
    return $post({ url: `/auth/auth_roles/${id}/`, reqConfig: { showMsg: true } });
};

/** 批量删除角色 */
export const batchDeleteRoles = data => {
    return $post({ url: `/auth/auth_roles/delete/`, data, reqConfig: { showMsg: true } });
};

/** 前端选用户组件用的接口 */
export const getSelectNeedPersons = params => {
    return $get({ url: `/systemusers/select_module`, params });
};
