/*
 * @Author: PoJun
 * @Date: 2023-09-12 10:55:35
 * @LastEditors: PoJun
 * @LastEditTime: 2023-10-16 15:54:01
 * @Message: 校验规则.
 */

/**
 * 系统密码的校验规则 由8~16位字符（英文字母、数字、非空白字符）组成
 * @param value
 * @returns {*}
 */
export const checkPassword = value => {
    return /^[\S]{8,16}$/.test(value);
};

/**
 * 角色、菜单码的校验规则  英文字母开头，可以使用数字、下划线
 * @param value
 * @returns {*}
 */
export const checkCode = value => {
    return /^[a-zA-Z][0-9a-zA-Z_]*$/.test(value);
};

/**
 * 身份证号码校验
 * @param value
 * @returns {*}
 */
export const checkIdCard = value => {
    return /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/.test(value);
};
